# enid init

#### `enid init`

```ansi
Initialize the configuration files for the validator and node.

Usage:
  enid init [moniker] [flags]

Flags:
      --chain-id string   Chain ID for the genesis file; if left empty, will use 'eni'
  -h, --help              Help information for init
      --home string       Home directory of the node (default "~/.eni")
  -o, --overwrite         Overwrite the genesis.json file
      --recover           Provide a seed phrase to recover existing keys instead of creating new ones

Global Flags:
      --log_format string   Log format (json|plain)
      --log_level string    Log level (trace|debug|info|warn|error|fatal|panic)
      --trace               Print the full stack trace on error
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eniac.network/reference/cli/enid-init.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
